// ignore_for_file: prefer_const_constructors

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class TLBottomNavigationBar extends BottomNavigationBar {
  TLBottomNavigationBar({
    Key? key,
    List<BottomNavigationBarItem>? items,
    int currentIndex = 0,
    ValueChanged<int>? onTap,
  }) : super(
          key: key,
          items: items ?? myTabItems(maintenceTabData),
          currentIndex: currentIndex,
          onTap: onTap,
          type: BottomNavigationBarType.fixed,
          unselectedLabelStyle: TextStyle(color: Color(0xFF646566), fontSize: 12.sp, fontWeight: FontWeight.w400),
          selectedLabelStyle: TextStyle(color: Color(0xFF1989FA), fontSize: 12.sp, fontWeight: FontWeight.w400),
          fixedColor: const Color(0xFF1989FA),
          backgroundColor: Colors.white,
        );

  /// 养护
  static final maintenceTabData = [
    {'text': '数据', 'icon': 'assets/maintence/images/tabBar_data.png', 'activeIcon': 'assets/maintence/images/tabBar_dataActive.png'},
    {'text': '工作', 'icon': 'assets/maintence/images/tabBar_mine.png', 'activeIcon': 'assets/maintence/images/tabBar_mineActive.png'},
    {'text': '', 'icon': 'assets/common/images/tabBar_add.png', 'activeIcon': 'assets/common/images/tabBar_add.png'},
    {'text': '应急', 'icon': 'assets/maintence/images/tabBar_emergency.png', 'activeIcon': 'assets/maintence/images/tabBar_emergencyActive.png'},
    {'text': '消息', 'icon': 'assets/maintence/images/tabBar_information.png', 'activeIcon': 'assets/maintence/images/tabBar_informationActive.png'},
  ];

  /// 隧道
  static final tunnelTabData = [
    {'text': '资产', 'icon': 'assets/tunnel/images/tabBar_capital.png', 'activeIcon': 'assets/tunnel/images/tabBar_capitalActive.png'},
    {'text': '', 'icon': 'assets/common/images/tabBar_add.png', 'activeIcon': 'assets/common/images/tabBar_add.png'},
    {'text': '检查', 'icon': 'assets/tunnel/images/tabBar_check.png', 'activeIcon': 'assets/tunnel/images/tabBar_checkActive.png'},
  ];

  ///路赔
  static final indemnityTabData = [
    {'text': '统计', 'icon': 'assets/maintence/images/tabBar_information.png', 'activeIcon': 'assets/maintence/images/tabBar_informationActive.png'},
    {'text': '', 'icon': 'assets/common/images/tabBar_add.png', 'activeIcon': 'assets/common/images/tabBar_add.png'},
    {'text': '路赔', 'icon': 'assets/maintence/images/tabBar_data.png', 'activeIcon': 'assets/maintence/images/tabBar_dataActive.png'},
  ];

    ///计量支付
  static final paymentTabData = [
    {'text': '数据', 'icon': 'assets/maintence/images/tabBar_data.png', 'activeIcon': 'assets/maintence/images/tabBar_dataActive.png'},
    {'text': '工作', 'icon': 'assets/maintence/images/tabBar_information.png', 'activeIcon': 'assets/maintence/images/tabBar_informationActive.png'},
    {'text': '消息', 'icon': 'assets/maintence/images/tabBar_information.png', 'activeIcon': 'assets/maintence/images/tabBar_informationActive.png'},
  ];

  static List<BottomNavigationBarItem> myTabItems(List<Map> tabDatas) {
    List<BottomNavigationBarItem> _myTabItems = [];
    for (int i = 0; i < tabDatas.length; i++) {
      _myTabItems.add(BottomNavigationBarItem(
          label: tabDatas[i]['text'] as String,
          icon: Image(
            image: AssetImage((tabDatas[i]['icon'] as String)),
          ),
          activeIcon: Image(
            image: AssetImage((tabDatas[i]['activeIcon'] as String)),
          )));
    }
    return _myTabItems;
  }
}
